Name: Pymacs
Version: 0.22
Release: alt1

Summary: Two-way communication between Python and Emacs
Source0: Pymacs.tar.gz
License: GPL
Group: Development/Python
Requires: python
Requires: emacs
Packager: Andrey Khavryuchenko <akhavr@altlinux.ru>
Url: http://www.iro.umontreal.ca/~pinard/pymacs/
BuildRequires: python-devel
BuildRequires: emacs

%description
Pymacs is a powerful tool which, once started from Emacs, allows both-way 
communication between Emacs Lisp and Python. Pymacs aims Python as an 
extension language for Emacs rather than the other way around, and this 
assymetry is reflected in some design choices. Within Emacs Lisp code, 
one may load and use Python modules. Python functions may themselves use 
Emacs services, and handle Emacs Lisp objects kept in Emacs Lisp space.

%prep
%setup -n Pymacs-%version -q

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES
mkdir -p $RPM_BUILD_ROOT/%_datadir/emacs/site-lisp/pymacs
./setup -l $RPM_BUILD_ROOT/%_datadir/emacs/site-lisp/pymacs

mkdir -p $RPM_BUILD_ROOT/%_sysconfdir/emacs/site-start.d/
echo <<EOF > $RPM_BUILD_ROOT/%_sysconfdir/emacs/site-start.d/pymacs.el
(autoload 'pymacs-load "pymacs" nil t)
(autoload 'pymacs-eval "pymacs" nil t)
(autoload 'pymacs-apply "pymacs")
(autoload 'pymacs-call "pymacs")
EOF

%files -f INSTALLED_FILES
%_sysconfdir/emacs/site-start.d/pymacs.el
%_libdir/python*/site-packages/Pymacs/*pyo
%_libdir/python*/site-packages/Pymacs/Nn/*pyo
%_libdir/python*/site-packages/Pymacs/Rebox/*pyo
%_datadir/emacs/site-lisp/pymacs
%doc doc TODO README THANKS README.html ChangeLog

%changelog
* Tue Dec 30 2003 Andrey Khavryuchenko <akhavr@altlinux.ru> 0.22-alt1
  Initial build
